Hi and Welcome to iKnowthat.com!

To use our site, you need the latest versions of both Shockwave and Flash installed on your machine.

Click on the links below. It's free, simple and fast.

   <- Adobe Flash Player Installer

  <- Adobe Shockwave Player Installer

Click install on their site (it will take less than 8 minutes on a 56k connection, and they will automatically install the version you will need)

Restart your browser, and you will return to iKnowthat.com.

If you believe you have the required Shockwave and Flash plugins and that iKnowthat.com has incorrectly detected it, click here. This will place a cookie on your machine that will bypass the plugin detection mechanism.